#!/usr/bin/env python
# @author: Tiago de Freitas Pereira <tiago.pereira@idiap.ch>

"""
Dump all the sphinx objects given an inventory URL.

This script is useful when you are struggling to do proper links with other projects such as:

  - Matplotlib: http://matplotlib.org/objects.inv
  - Python: https://docs.python.org/2.7/objects.inv
  - Numpy: https://docs.scipy.org/doc/numpy-1.12.0/objects.inv

Usage:
  interphinx_dump.py <url>
  interphinx_dump.py -h | --help

Options:
  -h --help                     Show this screen.
"""

from sphinx.ext import intersphinx
from docopt import docopt
import warnings


def main():

    args = docopt(__doc__)

    intersphinx.debug(['', args["<url>"]])


if __name__=="__main__":
    main()
